// D92GPIBControlDlg.h : wb_[ t@C
//

#if !defined(AFX_D92GPIBCONTROLDLG_H__1B4F5DE7_6BB0_11D5_994D_00010304D2D0__INCLUDED_)
#define AFX_D92GPIBCONTROLDLG_H__1B4F5DE7_6BB0_11D5_994D_00010304D2D0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// SURUGA >>
#include "MyButton.h"
#include "Decl-32.h"
#include "SetPositionDlg.h"
// << SURUGA

/////////////////////////////////////////////////////////////////////////////
// CD92GPIBControlDlg _CAO

class CD92GPIBControlDlg : public CDialog
{
// \z
public:
	CD92GPIBControlDlg(CWnd* pParent = NULL);	// W̃RXgN^

// _CAO f[^
	//{{AFX_DATA(CD92GPIBControlDlg)
	enum { IDD = IDD_D92GPIBCONTROL_DIALOG };
	CMyButton	m_pCCWButton;
	CMyButton	m_pCWButton;
	int		m_iLSpeed;
	int		m_iPosition;
	int		m_iRate;
	int		m_iSpeed;
	CString	m_strStatus;
	int		m_iStep;
	//}}AFX_DATA

	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CD92GPIBControlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV ̃T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:
	HICON m_hIcon;

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(CD92GPIBControlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnModeCont();
	afx_msg void OnModeOrg();
	afx_msg void OnModeStep();
	afx_msg void OnSetPosition();
	afx_msg void OnStop();
	virtual void OnOK();
	afx_msg void OnSelchangeBoardNumber();
	afx_msg void OnSelchangeGpibAddress();
	afx_msg void OnSelchangeAxis();
	afx_msg void OnTimer(UINT nIDEvent);
	virtual void OnCancel();
	//}}AFX_MSG
	// SURUGA >>
	void OnDown(WPARAM wParam,LPARAM lParam =0);	
	void OnUp(WPARAM wParam ,LPARAM lParam =0);
	// << SURUGA
	DECLARE_MESSAGE_MAP()

	// SURUGA >>
private:
	void SetEnableControl(BOOL bFlag);
	void SetButtonCaption(BOOL bOrgFlag);
	int ConnectGPIB(int iBoardNumber,int iAddress);
	BOOL SendGpibString(CString strMessage);
	BOOL ReceiveGpibString(CString& strMessage);
	CString GetAxisString();
	int GetAxisStatus();
	int GetPositionData();
	void CheckStop();
	void ClearSPByteBuffer();
	void SetPositionData(int iPositionData);

	int iUD;
	UINT nTimerID;
	BOOL bStopFlag;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_D92GPIBCONTROLDLG_H__1B4F5DE7_6BB0_11D5_994D_00010304D2D0__INCLUDED_)
